Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cms
Class TimeStampAndCRL

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.cms.TimeStampAndCRL

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class TimeStampAndCRL
extends ASN1Object

RFC 5544 Binding Documents with Time-Stamps; TimeStampAndCRL object. TimeStampAndCRL ::= SEQUENCE { timeStamp TimeStampToken, -- according to RFC 3161 crl CertificateList OPTIONAL -- according to RFC 5280 }

Constructor Summary
`TimeStampAndCRL(ContentInfo timeStamp)`
`TimeStampAndCRL(ContentInfo timeStamp, CertificateList crl)`

Method Summary
`CertificateList` | `getCertificateList()` Deprecated. use getCRL()
`CertificateList` | `getCRL()`
`static TimeStampAndCRL` | `getInstance(java.lang.Object obj)` Return a TimeStampAndCRL object from the given object.
`ContentInfo` | `getTimeStampToken()`
`ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimeStampAndCRL

    public TimeStampAndCRL(ContentInfo timeStamp)

### TimeStampAndCRL

    public TimeStampAndCRL(ContentInfo timeStamp,
                           CertificateList crl)

Method Detail

### getInstance

    public static TimeStampAndCRL getInstance(java.lang.Object obj)

  Return a TimeStampAndCRL object from the given object.

  Accepted inputs: null → null `TimeStampAndCRL` object `ASN1Sequence` input formats with TimeStampAndCRL structure inside

  Parameters:
    `obj` - the object we want converted.
  Throws:
    `java.lang.IllegalArgumentException` - if the object cannot be converted.

### getTimeStampToken

    public ContentInfo getTimeStampToken()

### getCertificateList

    public CertificateList getCertificateList()

  Deprecated. use getCRL()

### getCRL

    public CertificateList getCRL()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Description copied from class: `ASN1Object`
  Method providing a primitive representation of this object suitable for encoding.

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD